MetaModels Workshop in Berlin
Ergebnis 1 bis 4 von 4

Thema: Upgrade von 3.5 auf 4.4 - Installationspakete

  1. #1
    Contao-Fan
    Registriert seit
    20.06.2009.
    Beiträge
    334

    Standard Upgrade von 3.5 auf 4.4 - Installationspakete

    Hallo ihr Lieben,

    nun ist es soweit und ich möchte endlich meine 3.5 Umgebung upgraden. Bisher hat das auch erstaunlich gut geklappt. In der Euphorie war ich nun etwas voreilig und anstatt erstmal in Ruhe die Doku nochmal zu lesen habe ich nun folgende Pakete über den Manager installiert:

    MetaModels core
    metamodels/attribute_url
    metamodels/attribute_timestamp
    metamodels/attribute_text
    metamodels/attribute_tags
    metamodels/attribute_select
    metamodels/attribute_numeric
    metamodels/attribute_file
    metamodels/attribute_checkbox
    metamodels/attribute_alias

    Es wird hinten das meisten schon ganz gut angezeigt, aber aufgefallen ist mir schon, dass die langen Texte fehlen.

    Über die Suche werden die Pakete metamodels/bundle_start und /bundle_core nicht angezeigt. Nur mal so als Hinweis, sonst hätte ich spätestens da nochmal gelesen was ich brauche.

    Vorher hatte ich das bundle_all, aber nutze keine fremden Sprachen, ansonsten aber wohl so ziemlich alles.

    Nun ist meine Frage, was ich installieren muss/am sinnvollsten sollte. Kann ich das bundle_start dazu installieren oder ist dann etwas doppelt und ich deinstalliere die bisherigen Pakete besser wieder? Oder gar komplett von vorne?

    Ich möchte auch zukünftig möglichst wenig einzeln am Manager vorbei installieren. Den finde ich richtig super und im Vergleich zu den 3.5er Installationen ist das bisher ein Kinderspiel gewesen.

    edit: Ah, nun habe ich schonmal entdeckt, dass ich die weiteren Pakete mit "More" angezeigt bekomme . Manchmal sieht man den Wald vor lauter Bäumen nicht ...
    Geändert von Shania (18.05.2019 um 12:14 Uhr)
    Viele Grüße
    Shania

  2. #2
    Contao-Urgestein Avatar von zonky
    Registriert seit
    19.03.2010.
    Ort
    Berlin, Rdf
    Beiträge
    6.161
    User beschenken
    Wunschliste

    Standard

    du kannst bei der Tabelle Attribute und Filter in der DB nachsehen, was in der alten Installation in Verwendung war - das dann installieren


    ... nehme an "hinten" ist das Backend und "lange Texte" das Attribut "Langtext"...

    bundle_start und bundle_all ist bei mir installierbar...

    siehe https://github.com/MetaModels?utf8=%...ype=&language=

  3. #3
    Contao-Fan
    Registriert seit
    20.06.2009.
    Beiträge
    334

    Standard

    Hallo zonky,

    danke dir! Ich werde nochmal checken, ob ich alles habe, was ich brauche, aber bisher sieht es gut aus. Ich hatte dann das Bundle für die Filter noch installiert und das einzelne für den langen Text und jetzt sieht es erstmal soweit gut aus.

    Meine Frage war, ob ich das Bundle drüber installieren kann oder ob ich jetzt alles einzeln beibehalten muss, wo die Attribute einzeln installiert wurden. Aber das probiere ich dann einfach nochmal aus.

    Ich hatte mir das Upgrade viel schlimmer vorgestellt. Danke an alle Beteiligten!
    Viele Grüße
    Shania

  4. #4
    Contao-Urgestein Avatar von zonky
    Registriert seit
    19.03.2010.
    Ort
    Berlin, Rdf
    Beiträge
    6.161
    User beschenken
    Wunschliste

    Standard

    in https://metamodels.readthedocs.io/de...ion-von-mm-2-1 am Ende des Abschnitts nochmal die SQL-Befehle ergänzt, mit denen man die verwendeten Attribute und Filter abfragen kann...

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •